Updates a Group using SCIM patch semantics.
- A maximum of 2 operations is supported per Group patch request.
- A maximum of 1 member addition or removal is supported per Group patch request.
- Supported operations and attributes:
add: Supported fordisplayName,description,members, andexternalId.remove: Supported fordescriptionandmembers(requires a value filter using theeqoperator on thevaluesub-attribute, for example,"path": "members[value eq \"<member_id>\"]").replace: Supported fordisplayNameanddescription.
HTTP request
PATCH https://cloudidentityscim.googleapis.com/v1beta1/customers/{customerId}/v2/Groups/{groupId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
Required. The customer ID. |
groupId |
Required. The group ID. |
Request body
The request body contains an instance of PatchBody.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-identity.groupshttps://www.googleapis.com/auth/cloud-identityhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authorization guide.